Page MenuHomePhabricator

[OMPT] Fix duplicate implicit_task_end events for master thread with GCC
ClosedPublic

Authored by Hahnfeld on Jan 29 2016, 1:09 AM.

Details

Summary

For non-serialized parallel regions the master thread issued two callbacks: The first one in kmp_gsupport.c and the second in __kmp_join_call. Therefore only trigger the callback in kmp_gsupport.c for serialized parallel regions.

Diff Detail

Repository
rL LLVM

Event Timeline

Hahnfeld updated this revision to Diff 46364.Jan 29 2016, 1:09 AM
Hahnfeld retitled this revision from to [OMPT] Fix duplicate implicit_task_end events for master thread with GCC.
Hahnfeld updated this object.
Hahnfeld added reviewers: jmellorcrummey, jlpeyton.
Hahnfeld added subscribers: openmp-commits, tcramer.
Hahnfeld updated this revision to Diff 51273.Mar 22 2016, 4:55 AM
Hahnfeld added a reviewer: omalyshe.
omalyshe accepted this revision.Mar 24 2016, 5:42 AM
omalyshe edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Mar 24 2016, 5:42 AM
This revision was automatically updated to reflect the committed changes.